//
//  RosterManager.swift
//  Chat (iOS)
//
//  Created by Sergey Tarasov on 17.08.2022.
//

import Foundation
import XMPPFramework
import XMPPFrameworkSwift

class RosterManager {
    var roster: XMPPRoster
    var storage: XMPPRosterMemoryStorage

    init() {
        self.storage = XMPPRosterMemoryStorage()
        self.roster = XMPPRoster(rosterStorage: self.storage)
        self.roster.activate(StreamManager.shared.stream)
    }
}
